首页 / 浏览问题 / 三维GIS / 问题详情
使用最新版本client3d for cesium包出错
18EXP 2023年10月31日

包是最新的230914版本,之前使用的是230707,切换了后运行报错了,但是包里给的示例是能正常运行的,报错这个信息我看不太懂,能帮忙解决一下吗

1个回答

运行的什么报的错呢?

控制台是否有报错呢?

请求是否有异常?
4,081EXP 2023年10月31日
经过测试排查,发现是设置图层加载优先级使使用了根据空间索引来加载。使用其他加载模式就正常了

layer.LoadingPriority = Cesium.LoadingPriorityMode.UsePagedLodInfo;
这是什么原因呢?
如果确认示例加载没有问题

可以把您的服务在示例上加载看一下是否会有问题

如果有问题且确定更换包之前加载是没有问题的

可能是这个包出现了问题,或者是服务的问题
不好意思编辑了上面的回复,不知道您有没有收到编辑的消息。
经过测试排查,发现是设置图层加载优先级使使用了根据空间索引来加载。使用其他加载模式就正常了
layer.LoadingPriority = Cesium.LoadingPriorityMode.UsePagedLodInfo;
这是什么原因呢?
可能您的这份数据您并没有给它添加空间索引,所以它用不了空间索引的加载模式
...